var layout_gmCompiler={

// getUrlContents adapted from Greasemonkey Compiler
// http://www.letitblog.com/code/python/greasemonkey.py.txt
// used under GPL permission
//
// most everything else below based heavily off of Greasemonkey
// http://greasemonkey.devjavu.com/
// used under GPL permission

getUrlContents: function(aUrl){
    var    ioService=Components.classes["@mozilla.org/network/io-service;1"]
        .getService(Components.interfaces.nsIIOService);
    var    scriptableStream=Components
        .classes["@mozilla.org/scriptableinputstream;1"]
        .getService(Components.interfaces.nsIScriptableInputStream);
    var unicodeConverter=Components
        .classes["@mozilla.org/intl/scriptableunicodeconverter"]
        .createInstance(Components.interfaces.nsIScriptableUnicodeConverter);
    unicodeConverter.charset="UTF-8";

    var    channel=ioService.newChannel(aUrl, "UTF-8", null);
    var    input=channel.open();
    scriptableStream.init(input);
    var    str=scriptableStream.read(input.available());
    scriptableStream.close();
    input.close();

    try {
        return unicodeConverter.ConvertToUnicode(str);
    } catch (e) {
        return str;
    }
},

onLoad: function() {
	var script=layout_gmCompiler.getUrlContents(
		'chrome://layout/content/layout.js'
	);
	eval("(function(){"+script+"})()");
},

onUnLoad: function() {
	//remove now unnecessary listeners
	window.removeEventListener('load', layout_gmCompiler.onLoad, false);
	window.removeEventListener('unload', layout_gmCompiler.onUnLoad, false);
},

}; //object layout_gmCompiler


window.addEventListener('load', layout_gmCompiler.onLoad, false);
window.addEventListener('unload', layout_gmCompiler.onUnLoad, false);